clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
OMPMappableExprListSizeTy Struct Reference

This structure contains all sizes needed for by an OMPMappableExprListClause. More...

`#include "clang/AST/OpenMPClause.h"`

Collaboration diagram for OMPMappableExprListSizeTy:
[legend]

## Public Member Functions
| OMPMappableExprListSizeTy ()=default
| OMPMappableExprListSizeTy (unsigned NumVars, unsigned NumUniqueDeclarations, unsigned NumComponentLists, unsigned NumComponents)

## Public Attributes
unsigned | NumVars
| Number of expressions listed. More...
unsigned | NumUniqueDeclarations
| Number of unique base declarations. More...
unsigned | NumComponentLists
| Number of component lists. More...
unsigned | NumComponents
| Total number of expression components. More...

## Detailed Description

This structure contains all sizes needed for by an OMPMappableExprListClause.

Definition at line 4292 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPMappableExprListSizeTy() [1/2]

OMPMappableExprListSizeTy::OMPMappableExprListSizeTy | ( |  | ) |
| default

## ◆ OMPMappableExprListSizeTy() [2/2]

OMPMappableExprListSizeTy::OMPMappableExprListSizeTy | ( | unsigned | NumVars,
|  | unsigned | NumUniqueDeclarations,
|  | unsigned | NumComponentLists,
|  | unsigned | NumComponents
| ) |  |
| inline

Definition at line 4302 of file OpenMPClause.h.

## Member Data Documentation

## ◆ NumComponentLists

unsigned OMPMappableExprListSizeTy::NumComponentLists

Number of component lists.

Definition at line 4298 of file OpenMPClause.h.

Referenced by OMPMapClause::Create(), OMPToClause::Create(), OMPFromClause::Create(), OMPUseDevicePtrClause::Create(), OMPIsDevicePtrClause::Create(), OMPMapClause::CreateEmpty(), OMPToClause::CreateEmpty(), OMPFromClause::CreateEmpty(), OMPUseDevicePtrClause::CreateEmpty(), and OMPIsDevicePtrClause::CreateEmpty().

## ◆ NumComponents

unsigned OMPMappableExprListSizeTy::NumComponents

Total number of expression components.

Definition at line 4300 of file OpenMPClause.h.

Referenced by OMPMapClause::Create(), OMPToClause::Create(), OMPFromClause::Create(), OMPUseDevicePtrClause::Create(), OMPIsDevicePtrClause::Create(), OMPMapClause::CreateEmpty(), OMPToClause::CreateEmpty(), OMPFromClause::CreateEmpty(), OMPUseDevicePtrClause::CreateEmpty(), and OMPIsDevicePtrClause::CreateEmpty().

## ◆ NumUniqueDeclarations

unsigned OMPMappableExprListSizeTy::NumUniqueDeclarations

Number of unique base declarations.

Definition at line 4296 of file OpenMPClause.h.

Referenced by OMPMapClause::Create(), OMPToClause::Create(), OMPFromClause::Create(), OMPUseDevicePtrClause::Create(), OMPIsDevicePtrClause::Create(), OMPMapClause::CreateEmpty(), OMPToClause::CreateEmpty(), OMPFromClause::CreateEmpty(), OMPUseDevicePtrClause::CreateEmpty(), and OMPIsDevicePtrClause::CreateEmpty().

## ◆ NumVars

unsigned OMPMappableExprListSizeTy::NumVars

Number of expressions listed.

Definition at line 4294 of file OpenMPClause.h.

Referenced by OMPMapClause::Create(), OMPToClause::Create(), OMPFromClause::Create(), OMPUseDevicePtrClause::Create(), OMPIsDevicePtrClause::Create(), OMPMapClause::CreateEmpty(), OMPToClause::CreateEmpty(), OMPFromClause::CreateEmpty(), OMPUseDevicePtrClause::CreateEmpty(), and OMPIsDevicePtrClause::CreateEmpty().

The documentation for this struct was generated from the following file:

- include/clang/AST/OpenMPClause.h